﻿using UnityEngine;
using System.Collections;

public class Move : MonoBehaviour
{
    private GameObject[] planets;

    private Rigidbody2D rb;

    void Start()
    {
        planets = GameObject.FindGameObjectsWithTag("Planet");

        rb = GetComponent<Rigidbody2D>();
    }

    void Update()
    {
        GameObject closest = planets[0];
        Vector2 closestDir = transform.position - closest.transform.position;
        float closestDistance = closestDir.sqrMagnitude;

        for (int i = 1; i < planets.Length; i++)
        {
            Vector2 curDir = transform.position - planets[i].transform.position;
            float curDistance = curDir.sqrMagnitude;

            if (curDistance < closestDistance)
            {
                closestDistance = curDistance;
                closestDir = curDir;
                closest = planets[i];
            }
        }

        transform.up = closestDir;

        if (Input.GetKeyDown(KeyCode.A))
        {
            rb.AddForce(transform.right * -600);
        }

        if (Input.GetKeyDown(KeyCode.D))
        {
            rb.AddForce(transform.right * 600);
        }

        if (Input.GetKeyDown(KeyCode.Space))
        {
            rb.AddForce(transform.up * 5000);
        }
    }
}
